Models - DigitalTwinModels Update

Updates the metadata for a model. Status codes:

  • 204 No Content
  • 400 Bad Request
    • InvalidArgument - The model id is invalid.
    • JsonPatchInvalid - The JSON Patch provided is invalid.
    • MissingArgument - The model id was not provided.
  • 404 Not Found
    • ModelNotFound - The model was not found.
  • 409 Conflict
    • ModelReferencesNotDecommissioned - The model refers to models that are not decommissioned.
PATCH https://digitaltwins-hostname/models/{id}?api-version=2020-10-31

URI Parameters

Name In Required Type Description
id
path True
  • string

The id for the model. The id is globally unique and case sensitive.

api-version
query True
  • string

The requested API version.

Request Header

Media Types: "application/json-patch+json"

Name Required Type Description
traceparent
  • string

Identifies the request in a distributed tracing system.

tracestate
  • string

Provides vendor-specific trace identification information and is a companion to traceparent.

Request Body

Media Types: "application/json-patch+json"

Name Type Description
updateModel
  • object[]

An update specification described by JSON Patch. Only the decommissioned property can be replaced.

Responses

Name Type Description
204 No Content

Success

Other Status Codes

Default response.

Security

oauth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=0b07f429-9f4b-4714-9392-cc5e8e80c8b0

Examples

Decommission a model

Sample Request

PATCH https://digitaltwins-hostname/models/dtmi:com:example:Sample;1?api-version=2020-10-31
[
  {
    "op": "replace",
    "path": "/decommissioned",
    "value": true
  }
]

Sample Response

Definitions

Error

Error definition.

ErrorResponse

Error response.

InnerError

A more specific error description than was provided by the containing error.

Error

Error definition.

Name Type Description
code
  • string

Service specific error code which serves as the substatus for the HTTP error code.

details

Internal error details.

innererror

An object containing more specific information than the current object about the error.

message
  • string

A human-readable representation of the error.

ErrorResponse

Error response.

Name Type Description
error

The error details.

InnerError

A more specific error description than was provided by the containing error.

Name Type Description
code
  • string

A more specific error code than was provided by the containing error.

innererror

An object containing more specific information than the current object about the error.